CREATE TABLE fmk_d_automation (
    AUTOMATION_ID            NUMBER(18, 0) ,
    TACTIC_TEMPLATE_ID       NUMBER(18, 0) ,
    NAME                     VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    DESIGN_MODE              VARCHAR2(256)     NOT NULL,
    JSON_MODEL               CLOB          ,
    PROGRAM_ID               NUMBER(18, 0) ,
    OBJECTIVE                VARCHAR2(4000),
    ENTITY_TYPE              VARCHAR2(256) ,
    IS_PUBLISHABLE           CHAR(4)       ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    AUTOMATION_ID            NUMBER(18, 0) ,
    TACTIC_TEMPLATE_ID       NUMBER(18, 0) ,
    NAME                     VARCHAR2(1020)    NOT NULL,
    DESCRIPTION              VARCHAR2(4000),
    DESIGN_MODE              VARCHAR2(256)     NOT NULL,
    JSON_MODEL               CLOB          ,
    PROGRAM_ID               NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    OBJECTIVE                VARCHAR2(4000),
    ENTITY_TYPE              VARCHAR2(256) ,
    IS_PUBLISHABLE           CHAR(4)       ,
    CONSTRAINT pk_fmk_d_automation PRIMARY KEY (AUTOMATION_ID, AUTOMATION_ID)
);
